Description

Since upgrading to 2.0.0 (also verified today on 2.0.1, and svn trunk) the smtp configuration settings for TLS encryption is somewhat
broken, as notified by [1].

If a smtp server is configured with both "tls: true" and "enable_starttls_auto: true", this error occurs when trying to send mail:

An error occurred while sending mail (SSL_connect returned=1 errno=0 state=SSLv2/v3 read server he
1lo A: unknown protocol)

This type of configuration is also the suggested method for configuring gmail in the redmine documentation [2].

As a workaround found by [1], you can remove the "tls: true" part of the configuration, while leaving in "enable_starttls_auto: true". |
can also confirm that this workaround works for me, to make gmail & redmine working.

[1]: http://mentalized.net/journal/2012/05/08/rails_3_actionmailer_and_google_apps_for_domains/
[2]: http://www.redmine.org/projects/redmine/wiki/EmailConfiguration

Associated revisions

Revision 10340 - 2012-09-09 17:24 - Jean-Philippe Lang
Fixed TLS configuration in example (#11034).

History

#1 - 2012-06-15 02:06 - Daniel Nelson

Confirmed that using only enable_starttls_auto: true fixes the issue.

#2 - 2012-06-18 10:43 - Bruno Medeiros

Same problem here, and the workaround also worked. Thanks!

#3 - 2012-09-09 17:25 - Jean-Philippe Lang

- Subject changed from TLS configuration broken since 2.0 to TLS configuration documentation for Rails 3
- Category changed from Email notifications to Documentation

- Status changed from New to Closed

- Target version setto 2.1.0

- Resolution set to Fixed

Example in configuration.yml.example fixed in r10340.

#4 - 2013-01-03 13:39 - Rodrigo Macedo

- File configuration.yml added

Help Me.

The problem occurrs in enviromento when start Redmine as Window Service.
My OS is Windows XP

Environment:
Redmine version 2.2.0.stable
http://mentalized.net/journal/2012/05/08/rails_3_actionmailer_and_google_apps_for_domains/
http://www.redmine.org/projects/redmine/wiki/EmailConfiguration
https://www.redmine.org/projects/redmine/repository/svn/revisions/10340

Ruby version 1.9.2 (i386-mingw32)

Rails version 3.2.9
Environment development
Database adapter Mysql2

Redmine plugins:
no plugin installed

#5 - 2013-05-28 12:23 - BTR Naidu

The suggested workaround did not work for me. Any more ideas?

#6 - 2013-09-12 17:22 - Wally Atkins

Agreed with the above comment. | had email notifications working fine in Redmine 1.x but on upgrading to 2.x (actually 2.3.2.stable) the GMalil
notification email relay is not working. | have tried a bunch of different configuration settings and have not been able to get the right combination. Here
is my current config:

default:
email_delivery:
delivery_method: :smtp
smtp_settings:
enable_starttls_auto: true

address: "smtp.gmail.com"
port: 587
domain: "smtp.gmail.com"

authentication: :plain
user_name: "MyGMailAccount@gmail.com"
password: "areallyhardpassword"

When | had tls: true in there | would get An error occurred while sending mail (SSL_connect returned=1 errno=0 state=SSLv2/v3 read server hello A:
unknown protocol) but without the tls: true | get An error occurred while sending mail (530 5.7.0 Must issue a STARTTLS command first.
fy7sm9145396qeb.1 - gsmtp ).

Are there further items that | should check to make sure | have everything required on my system/environment? What is the best way to debug/test
this to get down to the nitty gritty details and pinpoint my problem? Any suggestions are greatly appreciated!
